Pi-Pan Library for Stretch on RPi B+
 Raspberry Pi   Started by Matha Goram   2017-12-28 13:21:34 -05:00   Comments: 2    Viewed: 131

  1. Matha Goram
    Matha Goram Member
    Hello,

    It has been several months since I last worked on pi-pan and pi-light. The demo programs have stopped working owing to some operator error on my part. Is it possible to receive some guidance on getting back on track again?

    Here are my current update attempts:

    sudo apt-get -y install python-smbus
    completed with the following message:
    python-smbus is already the newest version (3.1.2-3)

    sudo ./install-pi-pan.bash
    Pi-Light Install completed
    servod: Cannot parse the hardware name string
    Pi-Pan Install completed

    sudo i2cdetect 1
    Confirmed x18 as enabled (second row, 10, and eighth column, 8)

    Cannot start servoblaster manually with the following command:

    sudo /etc/init.d/servoblaster.sh start
    owing to same error message as in the install:
    servod: Cannot parse the hardware name string

    Do you have any guidance on how I can get pi-pan and pi-light working again? (Sadly, for other reasons I have to use Raspbian Stretch even though the board is RPi+ with adequate SDcard capacity) Output from uname command is:
    Linux 4.9.59+ #1047 armv61 GNU/Linux

    The pi-pan and pi-light install files are dated 2016-04-26. What are the latest ones for my obtuse platform (i.e. RPI+ Stretch which is working statisfactorily for my other limited scope tests).

    Thanks.

    P.S. Pi-Light is working satisfactorily.
    Matha Goram, 2017-12-28 13:21:34 -05:00
  2. Matha Goram
    Matha Goram Member
    Any update on my inquiry about the servoblaster servod service running under Raspbian (Stretch + all updates/upgrades)? Would appreciate any feedback? Thanks.
    Matha Goram, 2018-01-15 19:54:58 -05:00
  3. (You must log in or sign up to post here)

Log in | Sign up
Tems & Conditions!
Help!